# geos::geom::GeometryList Class Reference

Manager of Geometry pointers. Owns the Geometries. More...

`#include <GeometryList.h>`

List of all members.

## Public Types

typedef std::vector< Geometry * > ::size_type | size_type
typedef std::auto_ptr < GeometryList > | AutoPtr

## Public Member Functions

void | add (Geometry::AutoPtr geom)
| Add a geometry to the list (takes ownership)
size_type | size () const
| Return number of geometries in this list.
Geometry * | operator[] (size_type)
| Returned object lifetime is bound to GeometryList lifetime.
const Geometry * | operator[] (size_type) const
| Returned object lifetime is bound to GeometryList lifetime.

## Static Public Member Functions

static GeometryList::AutoPtr | create ()
| Create an empty GeometryList.

## Friends

class | std::auto_ptr< GeometryList >
| auto_ptr needs to access private destructor

## Detailed Description

Manager of Geometry pointers. Owns the Geometries.

## Member Typedef Documentation

typedef std::auto_ptr<GeometryList> geos::geom::GeometryList::AutoPtr

Only way to manage a GeometryList is trough this an auto_ptr<>.

See also:
  create()

The documentation for this class was generated from the following file:

- GeometryList.h